"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const RedirectServerSide = ({ href, fallback }) => {
    react_1.useEffect(() => {
        if (window && window.location) {
            window.location.href = href;
        }
    }, [href]);
    return react_1.default.createElement(react_1.default.Fragment, null, fallback);
};
exports.default = RedirectServerSide;
//# sourceMappingURL=RedirectServerSide.js.map