"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var KeyType;
(function (KeyType) {
    KeyType["normal"] = "normal";
    KeyType["enum"] = "enum";
})(KeyType = exports.KeyType || (exports.KeyType = {}));
const NORMAL_PATTERN = "[^\\/#\\?]+?";
const getKeyType = (key) => {
    if (key.pattern === NORMAL_PATTERN) {
        return KeyType.normal;
    }
    return KeyType.enum;
};
exports.default = getKeyType;
//# sourceMappingURL=getKeyType.js.map